Schema "fpml-valuation-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8633 $

Defined Components:

  1 global element, 44 local elements, 15 complexTypes, 4 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-valuation-5-3.xsd; see XML source

Includes Schemas (4):

  fpml-business-events-5-3.xsd [src], fpml-enum-5-3.xsd [src], fpml-msg-5-3.xsd [src], fpml-riskdef-5-3.xsd [src]

Included in Schemas (2):

  fpml-main-5-3.xsd [src], fpml-valuation-reporting-5-3.xsd [src]

All Element Summary
activityProvider | A reference to the party responsible for reporting trading activities.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ReportingRoles complexType; see XML source
adjustedDate (defined in AdjustedAndOrUnadjustedDate.model group) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin AdjustedAndOrUnadjustedDate.model group; see XML source
assetReference (defined in ScheduledDate complexType) | A reference to the leg (or other product component) for which these dates occur.
Type: | AnyAssetReference
Content: | empty, 1 attribute
Defined: | locally witnin ScheduledDate complexType; see XML source
assetValuation | Valuations reported in this valuation set.
Type: | AssetValuation
Content: | complex, 2 attributes, 4 elements
Defined: | locally witnin ValuationSet complexType; see XML source
associatedValue | The value that is associated with the scheduled date.
Type: | AssetValuation
Content: | complex, 2 attributes, 4 elements
Defined: | locally witnin AssociatedValue.model group; see XML source
associatedValueReference | A reference to the value associated with this scheduled date.
Type: | ValuationReference
Content: | empty, 1 attribute
Defined: | locally witnin AssociatedValue.model group; see XML source
baseAccount | A reference to the party from whose perspective the position is valued, ie. the owner or holder of the position.
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin ReportingRoles complexType; see XML source
baseParty (defined in ReportingRoles complexType) | A reference to the party from whose perspective the position is valued, ie. the owner or holder of the position.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ReportingRoles complexType; see XML source
baseParty (in valuationSet) | Reference to the party from whose point of view the assets are valued.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ValuationSet complexType; see XML source
baseValuationScenario | An (optional) reference to a valuation scenario from which this one is derived.
Type: | ValuationScenarioReference
Content: | empty, 1 attribute
Defined: | locally witnin DerivedValuationScenario complexType; see XML source
constituent (defined in Position complexType) | The components that create this position.
Type: | PositionConstituent
Content: | complex, 3 elements
Defined: | locally witnin Position complexType; see XML source
creationDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin PositionStatusInfo.model group; see XML source
definitionReference | A reference to a sensitivity set definition.
Type: | SensitivitySetDefinitionReference
Content: | empty, 1 attribute
Defined: | locally witnin SensitivitySet complexType; see XML source
detail | Does this valuation set include a market environment?
Type: | ValuationSetDetail
Content: | simple, 1 attribute
Defined: | locally witnin ValuationSet complexType; see XML source
fxRate (defined in AssetValuation complexType) | Indicates the rate of a currency conversion that may have been used to compute valuations.
Type: | FxRate
Content: | complex, 2 elements
Defined: | locally witnin AssetValuation complexType; see XML source
history |
Type: | PositionHistory
Content: | complex, 11 elements
Defined: | locally witnin PositionStatusInfo.model group; see XML source
marketReference (defined in DerivedValuationScenario complexType) | A reference to the market environment used to price the asset.
Type: | MarketReference
Content: | empty, 1 attribute
Defined: | locally witnin DerivedValuationScenario complexType; see XML source
name (defined in DerivedValuationScenario complexType) | The (optional) name for this valuation scenario, used for understandability.
Type: | xsd:string
Content: | simple
Defined: | locally witnin DerivedValuationScenario complexType; see XML source
name (in sensitivitySet) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin SensitivitySet complexType; see XML source
name (in valuationSet) | The name of the valuation set, used to understand what it means.
Type: | xsd:string
Content: | simple
Defined: | locally witnin ValuationSet complexType; see XML source
originatingEvent (defined in PositionStatusInfo.model group) |
Type: | PositionOriginEnum
Content: | simple
Defined: | locally witnin PositionStatusInfo.model group; see XML source
positionProvider | A reference to the party responsible for reporting the position itself and its constituents.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ReportingRoles complexType; see XML source
positionVersionReference | A previously submitted version of the position.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PositionConstituent complexType; see XML source
quotationCharacteristics (in valuationSet) | Charactistics (measure types, units, sides, etc.) of the quotes used (requested/reported) in the valuation set.
Type: | QuotationCharacteristics
Content: | complex, 13 elements
Defined: | locally witnin ValuationSet complexType; see XML source
quote (defined in AssetValuation complexType) | One or more numerical measures relating to the asset, possibly together with sensitivities of that measure to pricing inputs.
Type: | Quotation
Content: | complex, 15 elements
Defined: | locally witnin AssetValuation complexType; see XML source
reportingRoles (defined in Position complexType) | Information about the roles of the parties with respect to reporting the positions.
Type: | ReportingRoles
Content: | complex, 5 elements
Defined: | locally witnin Position complexType; see XML source
scheduledDate (defined in Position complexType) | Position level schedule date, such as final payment dates, in a simple and flexible format.
Type: | ScheduledDate
Content: | complex, 6 elements
Defined: | locally witnin Position complexType; see XML source
scheduledDate (defined in ScheduledDates complexType) | A single stream level scheduled servicing date.
Type: | ScheduledDate
Content: | complex, 6 elements
Defined: | locally witnin ScheduledDates complexType; see XML source
sensitivity |
Type: | Sensitivity
Content: | simple, 2 attributes
Defined: | locally witnin SensitivitySet complexType; see XML source
sensitivitySet | Zero or more sets of sensitivities of this measure to various input parameters.
Type: | SensitivitySet
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin Quotation complexType; see XML source
sensitivitySetDefinition | Definition(s) of sensitivity sets used (requested or reported) in this valuation set.
Type: | SensitivitySetDefinition
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin ValuationSet complexType; see XML source
shift (defined in DerivedValuationScenario complexType) | A collection of shifts to be applied to market inputs prior to computation of the derivative.
Type: | PricingParameterShift
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin DerivedValuationScenario complexType; see XML source
status (defined in PositionStatusInfo.model group) |
Type: | PositionStatusEnum
Content: | simple
Defined: | locally witnin PositionStatusInfo.model group; see XML source
trade (defined in PositionConstituent complexType) | An element that allows the full details of the trade to be used as a mechanism for identifying the trade for which the post-trade event pertains.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin PositionConstituent complexType; see XML source
tradeReference (defined in PositionConstituent complexType) | The trade reference identifier(s) allocated to the trade by the parties involved.
Type: | PartyTradeIdentifiers
Content: | complex, 1 element
Defined: | locally witnin PositionConstituent complexType; see XML source
type (defined in ScheduledDate complexType) | The type of the date, e.g. next or previous payment.
Type: | ScheduledDateType
Content: | simple, 1 attribute
Defined: | locally witnin ScheduledDate complexType; see XML source
unadjustedDate (defined in AdjustedAndOrUnadjustedDate.model group) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin AdjustedAndOrUnadjustedDate.model group; see XML source
valuation (defined in AssetValuationOrReference.model group) |
Type: | AssetValuation
Content: | complex, 2 attributes, 4 elements
Defined: | locally witnin AssetValuationOrReference.model group; see XML source
valuation (defined in Position complexType) | Valuation reported for the position, such as NPV or accrued interest.
Type: | AssetValuation
Content: | complex, 2 attributes, 4 elements
Defined: | locally witnin Position complexType; see XML source
valuationDate (defined in DerivedValuationScenario complexType) | The (optional) date for which the assets are valued.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin DerivedValuationScenario complexType; see XML source
valuationProvider | A reference to the party responsible for calculating and reporting the valuations of the positions.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ReportingRoles complexType; see XML source
valuationReference | A reference to a quotation
Type: | ValuationReference
Content: | empty, 1 attribute
Defined: | locally witnin AssetValuationOrReference.model group; see XML source
valuationScenario | Valuation scenerios used (requested/reported) in this valuation set.
Type: | ValuationScenario
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin ValuationSet complexType; see XML source
valuationScenarioReference (in valuationSet) | References to valuation scenarios used (requested/reported) in this valuation set.
Type: | ValuationScenarioReference
Content: | empty, 1 attribute
Defined: | locally witnin ValuationSet complexType; see XML source
valuationSet |
Type: | ValuationSet
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Used: | at 3 locations

Complex Type Summary
AssetValuation | A structure that holds a set of measures about an asset, including possibly their sensitivities.
Content: | complex, 2 attributes, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 5 locations
DerivedValuationScenario | A valuation scenario that is derived from another valuation scenario.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | never
Position | A collection of related trades or positions and the corresponding aggregate exposures generated by these.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 4 locations
PositionConstituent | The items (trades, trade references, holdings, other positions) that comprise this position.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
PositionHistory | A list of events that have affected a position.
Content: | complex, 11 elements
Defined: | globally; see XML source
Used: | at 1 location
Quotation | Some kind of numerical measure about an asset, eg. its NPV, together with characteristics of that measure, together with optional sensitivities.
Content: | complex, 15 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ReportingRoles | The roles of the parties in reporting information such as positions.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
ScheduledDate | An servicing date relevant for a trade structure, such as a payment or a reset.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
ScheduledDates | A list of dates (cash flows, resets, etc.) that are relevant for this structure, e.g. next cash flow, last reset, etc.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
ScheduledDateType | A scheme used to identify the type of a stream scheduled servicing date.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Sensitivity | The sensitivity of a value to a defined change in input parameters.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
SensitivitySet | A collection of sensitivities.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
Valuations | A set of valuation.
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | never
ValuationSet | A set of valuation inputs and results.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location
ValuationSetDetail | The amount of detail provided in the valuation set, e.g. is market environment data provided, are risk definitions provided, etc.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location

Element Group Summary
AdjustedAndOrUnadjustedDate.model | Contains at least one of an adjusted date and and unadjusted date, using the usual meanings of those terms.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
AssetValuationOrReference.model | A quotation or a reference to a quotation.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
AssociatedValue.model | An associated value or reference for a scheduled date.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PositionStatusInfo.model | Contains information about the status of the position
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8633 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-enum-5-3.xsd"/> <xsd:include schemaLocation="fpml-riskdef-5-3.xsd"/> <xsd:include schemaLocation="fpml-msg-5-3.xsd"/> <xsd:include schemaLocation="fpml-business-events-5-3.xsd"/> <xsd:complexType name="AssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A structure that holds a set of measures about an asset, including possibly their sensitivities. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Valuation"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="Quotation"> <xsd:annotation> <xsd:documentation xml:lang="en"> One or more numerical measures relating to the asset, possibly together with sensitivities of that measure to pricing inputs. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the rate of a currency conversion that may have been used to compute valuations. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DerivedValuationScenario"> <xsd:annotation> <xsd:documentation xml:lang="en"> A valuation scenario that is derived from another valuation scenario. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The (optional) name for this valuation scenario, used for understandability. For example "EOD Valuations". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseValuationScenario" type="ValuationScenarioReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> An (optional) reference to a valuation scenario from which this one is derived. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The (optional) date for which the assets are valued. If not present, the valuation date will be that of the base valuation scenario. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marketReference" type="MarketReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the market environment used to price the asset. If not present, the market will be that of the base valuation scenario. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="shift" type="PricingParameterShift"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of shifts to be applied to market inputs prior to computation of the derivative. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="Quotation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Some kind of numerical measure about an asset, eg. its NPV, together with characteristics of that measure, together with optional sensitivities. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="Quotation.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivitySet" type="SensitivitySet"> <xsd:annotation> <xsd:documentation xml:lang="en"> Zero or more sets of sensitivities of this measure to various input parameters. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReportingRoles"> <xsd:annotation> <xsd:documentation xml:lang="en"> The roles of the parties in reporting information such as positions. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="baseParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party from whose perspective the position is valued, ie. the owner or holder of the position. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseAccount" type="AccountReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party from whose perspective the position is valued, ie. the owner or holder of the position. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="activityProvider" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party responsible for reporting trading activities. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="positionProvider" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party responsible for reporting the position itself and its constituents. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationProvider" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party responsible for calculating and reporting the valuations of the positions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ScheduledDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> An servicing date relevant for a trade structure, such as a payment or a reset. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="AdjustedAndOrUnadjustedDate.model"/> <xsd:element minOccurs="0" name="type" type="ScheduledDateType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of the date, e.g. next or previous payment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="assetReference" type="AnyAssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the leg (or other product component) for which these dates occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group maxOccurs="unbounded" ref="AssociatedValue.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ScheduledDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A list of dates (cash flows, resets, etc.) that are relevant for this structure, e.g. next cash flow, last reset, etc. Provides a way to list upcoming or recent servicing dates related to this trade stream in a way that is simpler and more flexible than the FpML "cashflows" structure. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="scheduledDate" type="ScheduledDate"> <xsd:annotation> <xsd:documentation xml:lang="en">A single stream level scheduled servicing date.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ScheduledDateType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme used to identify the type of a stream scheduled servicing date. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/scheduled-date-type" name="scheduledDateTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Sensitivity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The sensitivity of a value to a defined change in input parameters. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:decimal"> <xsd:attribute name="name" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> A optional name for this sensitivity. This is primarily intended for display purposes. </xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute name="definitionRef" type="xsd:IDREF"> <xsd:annotation> <xsd:documentation xml:lang="en"> A optional (but normally supplied) reference to the definition of this sensitivity. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SensitivitySet"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of sensitivities. References a definition that explains the meaning/type of the sensitivities. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element minOccurs="0" name="definitionReference" type="SensitivitySetDefinitionReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to a sensitivity set definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivity" type="Sensitivity"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="Valuations"> <xsd:annotation> <xsd:documentation xml:lang="en">A set of valuation.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group maxOccurs="unbounded" ref="AssetValuationOrReference.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ValuationSet"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of valuation inputs and results. This structure can be used for requesting valuations, or for reporting them. In general, the request fills in fewer elements. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the valuation set, used to understand what it means. E.g., "EOD Values and Risks for Party A". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuationScenario" type="ValuationScenario"> <xsd:annotation> <xsd:documentation xml:lang="en"> Valuation scenerios used (requested/reported) in this valuation set. E.g., the EOD valuation scenario for a particular value date. Used for the first occurrence of a valuation scenario in a document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> References to valuation scenarios used (requested/reported) in this valuation set. E..g, a reference to the EOD valuation scenario for a particular value date. Used for subsequence occurrences of a valuation set in an FpML document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the party from whose point of view the assets are valued. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"> <xsd:annotation> <xsd:documentation xml:lang="en"> Charactistics (measure types, units, sides, etc.) of the quotes used (requested/reported) in the valuation set. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivitySetDefinition" type="SensitivitySetDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition(s) of sensitivity sets used (requested or reported) in this valuation set. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="detail" type="ValuationSetDetail"> <xsd:annotation> <xsd:documentation xml:lang="en"> Does this valuation set include a market environment? </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetValuation" type="AssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Valuations reported in this valuation set. These values can be values (NPVs, prices, etc.) or risks (DAR, etc.) and can include sensitivities. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ValuationSetDetail"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of detail provided in the valuation set, e.g. is market environment data provided, are risk definitions provided, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="valuationSetDetailScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:element name="valuationSet" type="ValuationSet"/> <xsd:group name="AdjustedAndOrUnadjustedDate.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Contains at least one of an adjusted date and and unadjusted date, using the usual meanings of those terms. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedDate" type="xsd:date"/> </xsd:sequence> </xsd:choice> </xsd:group> <xsd:group name="AssetValuationOrReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A quotation or a reference to a quotation.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="valuation" type="AssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"/> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationReference" type="ValuationReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to a quotation</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="AssociatedValue.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> An associated value or reference for a scheduled date. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="associatedValue" type="AssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value that is associated with the scheduled date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="associatedValueReference" type="ValuationReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the value associated with this scheduled date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:complexType name="Position"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of related trades or positions and the corresponding aggregate exposures generated by these. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PositionIdAndVersion.model"/> <xsd:group ref="PositionStatusInfo.model"/> <xsd:element minOccurs="0" name="reportingRoles" type="ReportingRoles"> <xsd:annotation> <xsd:documentation xml:lang="en"> Information about the roles of the parties with respect to reporting the positions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="constituent" type="PositionConstituent"> <xsd:annotation> <xsd:documentation xml:lang="en">The components that create this position.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="scheduledDate" type="ScheduledDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Position level schedule date, such as final payment dates, in a simple and flexible format. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuation" type="AssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Valuation reported for the position, such as NPV or accrued interest. The asset/object references in the valuations should refer to the deal or components of the deal in the position, e.g. legs, streams, or underlyers. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:group name="PositionStatusInfo.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Contains information about the status of the position </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="PositionStatusEnum"/> <xsd:element minOccurs="0" name="creationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="originatingEvent" type="PositionOriginEnum"/> <xsd:element minOccurs="0" name="history" type="PositionHistory"/> </xsd:sequence> </xsd:group> <xsd:complexType name="PositionHistory"> <xsd:annotation> <xsd:documentation xml:lang="en">A list of events that have affected a position.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group maxOccurs="unbounded" ref="Events.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PositionConstituent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The items (trades, trade references, holdings, other positions) that comprise this position. Currently a position may consist only of a single trade, a reference to a previously submitted position, or a reference to the trade. The choice structure is optional to allow extensions to be placed within this container. </xsd:documentation> </xsd:annotation> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> An element that allows the full details of the trade to be used as a mechanism for identifying the trade for which the post-trade event pertains. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="positionVersionReference" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en">A previously submitted version of the position.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tradeReference" type="PartyTradeIdentifiers"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade reference identifier(s) allocated to the trade by the parties involved. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.